SET SERVEROUTPUT ON SIZE 1000000;

DELETE pm_scenario s
 WHERE s.folderid = -1
   AND NOT EXISTS
 (SELECT 1 FROM pm_report r WHERE r.scenarioid = s.id);

UPDATE pm_scenario s
   SET s.userid = (SELECT r.userid FROM pm_report r WHERE r.scenarioid = s.id)
 WHERE s.folderid = -1
   AND s.userid IS NULL;

DELETE pm_template t
 WHERE t.folderid = -1
   AND NOT EXISTS
 (SELECT 1 FROM pm_report r WHERE r.templateid = t.id);

UPDATE pm_template t
   SET t.userid = (SELECT r.userid FROM pm_report r WHERE r.templateid = t.id)
 WHERE t.folderid = -1
   AND t.userid IS NULL;
 
commit;

exec dbms_aqadm.alter_queue(queue_name=>'SAEXT_Q', max_retries=>8, retry_delay=>3600);

commit;

PROMPT
PROMPT Starting traffic redefinition... 

DECLARE
  v_errorcnt INTEGER := 0;
  v_tstamp DATE;
BEGIN

  v_tstamp := SYSDATE;

  wmd_traffic_redefinition.redefine_tables;
  commit;

  SELECT count(*)
    INTO v_errorcnt
    FROM WM_MESSAGE_LOG
   WHERE severity IS NOT NULL
     AND lower(component) like 'wmd_traffic_redefinition.%'
     AND tstamp > v_tstamp;

   IF v_errorcnt = 0 THEN
     DBMS_OUTPUT.put_line('Traffic redefinition successful.');
   ELSE
     DBMS_OUTPUT.put_line('Traffic redefinition failed.');
   END IF;
END;
/

